# Lookup VIN

{% hint style="info" %}
TEST DATA:

number: 987f545AJ67890

last\_name: test \
first\_name: test

state: Lagos\
lga: Ikeja\
dob: 2000-01-18<br>
{% endhint %}

## Verify voters card

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v1/biometrics/merchant/data/verification/voters_card`

This endpoint allows you to verify a VIN(Voters identification Number)

#### Query Parameters

| Name                                          | Type   | Description                          |
| --------------------------------------------- | ------ | ------------------------------------ |
| state<mark style="color:red;">\*</mark>       | string | state                                |
| last\_name<mark style="color:red;">\*</mark>  | string | last name                            |
| number<mark style="color:red;">\*</mark>      | string | Voters card number(957F5AD45AJ67890) |
| lga<mark style="color:red;">\*</mark>         | String | Local Government                     |
| first\_name<mark style="color:red;">\*</mark> | String | first name                           |
| dob<mark style="color:red;">\*</mark>         | String | yyyy-mm-dd                           |

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | string | \<your secret key> |
| app-id<mark style="color:red;">\*</mark>    | String | \<your app id>     |

{% tabs %}
{% tab title="200 VIN details successfully retrieved." %}

```
{
    "status": true,
    "detail": "VIN Verification Successful",
    "response_code":"00",
    "vc_data": {
        "fullName": "",
        "vin": "",
        "gender": "",
        "occupation": "",
        "timeOfRegistration": "",
        "state": "",
        "lga": "",
        "registrationAreaWard": "",
        "pollingUnit": "",
        "pollingUnitCode": "",
        "date_of_birth": "",
        "first_name": "",
        "last_name": "",
        "identity_status": ""        
    },
    "verification": {
        "status": "",
        "reference": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/data-verification/nigeria/voters-card-verification/voters-card-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
